XnOSMemory.h File Reference
`#include "XnPlatform.h"`

Go to the source code of this file.

## Functions

XN_C_API void *XN_C_DECL | xnOSMalloc (const XnSizeT nAllocSize)
XN_C_API void *XN_C_DECL | xnOSMallocAligned (const XnSizeT nAllocSize, const XnSizeT nAlignment)
XN_C_API void *XN_C_DECL | xnOSCalloc (const XnSizeT nAllocNum, const XnSizeT nAllocSize)
XN_C_API void *XN_C_DECL | xnOSCallocAligned (const XnSizeT nAllocNum, const XnSizeT nAllocSize, const XnSizeT nAlignment)
XN_C_API void *XN_C_DECL | xnOSRealloc (void *pMemory, const XnSizeT nAllocSize)
XN_C_API void *XN_C_DECL | xnOSReallocAligned (void *pMemory, const XnSizeT nAllocSize, const XnSizeT nAlignment)
XN_C_API void *XN_C_DECL | xnOSRecalloc (void *pMemory, const XnSizeT nAllocNum, const XnSizeT nAllocSize)
XN_C_API void XN_C_DECL | xnOSFree (const void *pMemBlock)
XN_C_API void XN_C_DECL | xnOSFreeAligned (const void *pMemBlock)
XN_C_API void XN_C_DECL | xnOSMemCopy (void *pDest, const void *pSource, XnSizeT nCount)
XN_C_API XnInt32 XN_C_DECL | xnOSMemCmp (const void *pBuf1, const void *pBuf2, XnSizeT nCount)
XN_C_API void XN_C_DECL | xnOSMemSet (void *pDest, XnUInt8 nValue, XnSizeT nCount)
XN_C_API void XN_C_DECL | xnOSMemMove (void *pDest, const void *pSource, XnSizeT nCount)
XN_C_API XnUInt64 XN_C_DECL | xnOSEndianSwapUINT64 (XnUInt64 nValue)
XN_C_API XnUInt32 XN_C_DECL | xnOSEndianSwapUINT32 (XnUInt32 nValue)
XN_C_API XnUInt16 XN_C_DECL | xnOSEndianSwapUINT16 (XnUInt16 nValue)
XN_C_API XnFloat XN_C_DECL | xnOSEndianSwapFLOAT (XnFloat fValue)

## Function Documentation

## xnOSCalloc()

XN_C_API void *XN_C_DECL xnOSCalloc | ( | const XnSizeT | nAllocNum,
|  | const XnSizeT | nAllocSize )

## xnOSCallocAligned()

XN_C_API void *XN_C_DECL xnOSCallocAligned | ( | const XnSizeT | nAllocNum,
|  | const XnSizeT | nAllocSize,
|  | const XnSizeT | nAlignment )

## xnOSEndianSwapFLOAT()

XN_C_API XnFloat XN_C_DECL xnOSEndianSwapFLOAT | ( | XnFloat | fValue | ) |

## xnOSEndianSwapUINT16()

XN_C_API XnUInt16 XN_C_DECL xnOSEndianSwapUINT16 | ( | XnUInt16 | nValue | ) |

## xnOSEndianSwapUINT32()

XN_C_API XnUInt32 XN_C_DECL xnOSEndianSwapUINT32 | ( | XnUInt32 | nValue | ) |

## xnOSEndianSwapUINT64()

XN_C_API XnUInt64 XN_C_DECL xnOSEndianSwapUINT64 | ( | XnUInt64 | nValue | ) |

## xnOSFree()

XN_C_API void XN_C_DECL xnOSFree | ( | const void * | pMemBlock | ) |

## xnOSFreeAligned()

XN_C_API void XN_C_DECL xnOSFreeAligned | ( | const void * | pMemBlock | ) |

## xnOSMalloc()

XN_C_API void *XN_C_DECL xnOSMalloc | ( | const XnSizeT | nAllocSize | ) |

## xnOSMallocAligned()

XN_C_API void *XN_C_DECL xnOSMallocAligned | ( | const XnSizeT | nAllocSize,
|  | const XnSizeT | nAlignment )

## xnOSMemCmp()

XN_C_API XnInt32 XN_C_DECL xnOSMemCmp | ( | const void * | pBuf1,
|  | const void * | pBuf2,
|  | XnSizeT | nCount )

## xnOSMemCopy()

XN_C_API void XN_C_DECL xnOSMemCopy | ( | void * | pDest,
|  | const void * | pSource,
|  | XnSizeT | nCount )

## xnOSMemMove()

XN_C_API void XN_C_DECL xnOSMemMove | ( | void * | pDest,
|  | const void * | pSource,
|  | XnSizeT | nCount )

## xnOSMemSet()

XN_C_API void XN_C_DECL xnOSMemSet | ( | void * | pDest,
|  | XnUInt8 | nValue,
|  | XnSizeT | nCount )

## xnOSRealloc()

XN_C_API void *XN_C_DECL xnOSRealloc | ( | void * | pMemory,
|  | const XnSizeT | nAllocSize )

## xnOSReallocAligned()

XN_C_API void *XN_C_DECL xnOSReallocAligned | ( | void * | pMemory,
|  | const XnSizeT | nAllocSize,
|  | const XnSizeT | nAlignment )

## xnOSRecalloc()

XN_C_API void *XN_C_DECL xnOSRecalloc | ( | void * | pMemory,
|  | const XnSizeT | nAllocNum,
|  | const XnSizeT | nAllocSize )